<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>GTSBox: /Users/dlekshmi/Desktop/Repos/PhD/GTSBox/Tests/checkdataFormat.m Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">GTSBox
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_33c78a012c8d08979f57a54a07694c46.html">Tests</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">checkdataFormat.m</div>  </div>
</div><!--header-->
<div class="contents">
<a href="../../dd/df7/checkdata_format_8m.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="keyword">function</span> []=<a class="code" href="../../dd/df7/checkdata_format_8m.html#a4a7a2190c82c1f9f662a8b6dbac43eae">checkdataFormat</a>(data)</div>
<div class="line"><a name="l00002"></a><span class="lineno"><a class="line" href="../../dd/df7/checkdata_format_8m.html#a4a7a2190c82c1f9f662a8b6dbac43eae">    2</a></span>&#160;mandatoryColumns={<span class="charliteral">&#39;Y&#39;</span>,<span class="stringliteral">&#39;YID&#39;</span>,<span class="stringliteral">&#39;Time&#39;</span>,<span class="stringliteral">&#39;TrackID&#39;</span>};</div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160; </div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="keywordflow">if</span> ~all(ismember(mandatoryColumns,data.Properties.VariableNames))</div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;error(&#39;Data format is incorrect: mandator columns are Y, YID, Time, TrackID&#39;)</div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;end</div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160; </div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;disp(&#39;Data columns are:&#39;);</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;disp(data.Properties.VariableNames);</div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;end</div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="acheckdata_format_8m_html_a4a7a2190c82c1f9f662a8b6dbac43eae"><div class="ttname"><a href="../../dd/df7/checkdata_format_8m.html#a4a7a2190c82c1f9f662a8b6dbac43eae">checkdataFormat</a></div><div class="ttdeci">function checkdataFormat(in data)</div><div class="ttdoc">A function that checks if all mandatory columns are specified.</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Dec 3 2020 14:53:30 for GTSBox by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
